class FaceGroup {
public :

	FaceGroup(int iInMaxElements);
	~FaceGroup();

	void addElement(Face&);

	int getMaxElements();
	int getNumElements();

	void setElementAt(int, Face&);
	Face getElementAt(int);
	Face *getElementAtPtr(int);

	void setLockMem( int iLockMem );
	int  getLockMem();

private :

	void freeMem();

	int iNumElements;
	int iMaxElements;

	Face ** pElementList;

	int iLockMem;
};
